Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class Rendition.Viability

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.Rendition.Viability

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  Rendition

    public static class Rendition.Viability

extends PdfObjectWrapper<PdfDictionary>

Rendition viability [PDF:1.7:9.1.2].

Method Summary
`Rendition.Viability` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Integer` | `getBandwidth()` Gets the minimum system's bandwidth (in bits per second).
`List<LanguageIdentifier>` | `getLanguages()` Gets the list of supported languages.
`Array<SoftwareIdentifier>` | `getRenderers()` Gets the list of supported viewer applications.
`Integer` | `getScreenDepth()` Gets the minimum screen color depth (in bits per pixel).
`Dimension` | `getScreenSize()` Gets the minimum screen size (in pixels).
`Interval<Version>` | `getVersion()` Gets the PDF version range supported by the viewer application.
`Boolean` | `isAudioDescriptionEnabled()` Gets whether to hear audio descriptions.
`Boolean` | `isAudioOverdubEnabled()` Gets whether to hear audio overdubs.
`Boolean` | `isSubtitleEnabled()` Gets whether to see subtitles.
`Boolean` | `isTextCaptionEnabled()` Gets whether to see text captions.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public Rendition.Viability clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getBandwidth

    public Integer getBandwidth()

  Gets the minimum system's bandwidth (in bits per second). Equivalent to SMIL's systemBitrate attribute.

### getScreenDepth

    public Integer getScreenDepth()

  Gets the minimum screen color depth (in bits per pixel). Equivalent to SMIL's systemScreenDepth attribute.

### getScreenSize

    public Dimension getScreenSize()

  Gets the minimum screen size (in pixels). Equivalent to SMIL's systemScreenSize attribute.

### getRenderers

    public Array<SoftwareIdentifier> getRenderers()

  Gets the list of supported viewer applications.

### getVersion

    public Interval<Version> getVersion()

  Gets the PDF version range supported by the viewer application.

### getLanguages

    public List<LanguageIdentifier> getLanguages()

  Gets the list of supported languages. Equivalent to SMIL's systemLanguage attribute.

### isAudioDescriptionEnabled

    public Boolean isAudioDescriptionEnabled()

  Gets whether to hear audio descriptions. Equivalent to SMIL's systemAudioDesc attribute.

### isAudioOverdubEnabled

    public Boolean isAudioOverdubEnabled()

  Gets whether to hear audio overdubs.

### isSubtitleEnabled

    public Boolean isSubtitleEnabled()

  Gets whether to see subtitles.

### isTextCaptionEnabled

    public Boolean isTextCaptionEnabled()

  Gets whether to see text captions. Equivalent to SMIL's systemCaptions attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.